Package org.flowable.eventsubscription.api

# Interface EventSubscriptionBuilder

public interface EventSubscriptionBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventSubscriptionBuilder`
  `activityId(String activityId)`
  `EventSubscriptionBuilder`
  `configuration(String configuration)`
  `EventSubscription`
  `create()`
  `EventSubscriptionBuilder`
  `eventName(String eventName)`
  `EventSubscriptionBuilder`
  `eventType(String eventType)`
  `EventSubscriptionBuilder`
  `executionId(String executionId)`
  `String`
  `getActivityId()`
  `String`
  `getConfiguration()`
  `String`
  `getEventName()`
  `String`
  `getEventType()`
  `String`
  `getExecutionId()`
  `String`
  `getProcessDefinitionId()`
  `String`
  `getProcessInstanceId()`
  `String`
  `getScopeDefinitionId()`
  `String`
  `getScopeDefinitionKey()`
  `String`
  `getScopeId()`
  `String`
  `getScopeType()`
  `Signal`
  `getSignal()`
  `String`
  `getSubScopeId()`
  `String`
  `getTenantId()`
  `EventSubscriptionBuilder`
  `processDefinitionId(String processDefinitionId)`
  `EventSubscriptionBuilder`
  `processInstanceId(String processInstanceId)`
  `EventSubscriptionBuilder`
  `scopeDefinitionId(String scopeDefinitionId)`
  `EventSubscriptionBuilder`
  `scopeDefinitionKey(String scopeDefinitionKey)`
  `EventSubscriptionBuilder`
  `scopeId(String scopeId)`
  `EventSubscriptionBuilder`
  `scopeType(String scopeType)`
  `EventSubscriptionBuilder`
  `signal(Signal signal)`
  `EventSubscriptionBuilder`
  `subScopeId(String subScopeId)`
  `EventSubscriptionBuilder`
  `tenantId(String tenantId)`

- ## Method Details

  - ### eventType

    EventSubscriptionBuilder eventType(String eventType)

  - ### eventName

    EventSubscriptionBuilder eventName(String eventName)

  - ### signal

    EventSubscriptionBuilder signal(Signal signal)

  - ### executionId

    EventSubscriptionBuilder executionId(String executionId)

  - ### processInstanceId

    EventSubscriptionBuilder processInstanceId(String processInstanceId)

  - ### processDefinitionId

    EventSubscriptionBuilder processDefinitionId(String processDefinitionId)

  - ### activityId

    EventSubscriptionBuilder activityId(String activityId)

  - ### subScopeId

    EventSubscriptionBuilder subScopeId(String subScopeId)

  - ### scopeId

    EventSubscriptionBuilder scopeId(String scopeId)

  - ### scopeDefinitionId

    EventSubscriptionBuilder scopeDefinitionId(String scopeDefinitionId)

  - ### scopeDefinitionKey

    EventSubscriptionBuilder scopeDefinitionKey(String scopeDefinitionKey)

  - ### scopeType

    EventSubscriptionBuilder scopeType(String scopeType)

  - ### tenantId

    EventSubscriptionBuilder tenantId(String tenantId)

  - ### configuration

    EventSubscriptionBuilder configuration(String configuration)

  - ### create

    EventSubscription create()

  - ### getEventType

    String getEventType()

  - ### getEventName

    String getEventName()

  - ### getSignal

    Signal getSignal()

  - ### getExecutionId

    String getExecutionId()

  - ### getProcessInstanceId

    String getProcessInstanceId()

  - ### getProcessDefinitionId

    String getProcessDefinitionId()

  - ### getActivityId

    String getActivityId()

  - ### getSubScopeId

    String getSubScopeId()

  - ### getScopeId

    String getScopeId()

  - ### getScopeDefinitionId

    String getScopeDefinitionId()

  - ### getScopeDefinitionKey

    String getScopeDefinitionKey()

  - ### getScopeType

    String getScopeType()

  - ### getTenantId

    String getTenantId()

  - ### getConfiguration

    String getConfiguration()